summaryrefslogtreecommitdiffstats
path: root/source/l/libiodbc
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/l/libiodbc
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/l/libiodbc')
-rwxr-xr-xsource/l/libiodbc/libiodbc.SlackBuild14
-rw-r--r--source/l/libiodbc/libiodbc.disable.rpath.diff11
-rw-r--r--source/l/libiodbc/slack-desc2
3 files changed, 21 insertions, 6 deletions
diff --git a/source/l/libiodbc/libiodbc.SlackBuild b/source/l/libiodbc/libiodbc.SlackBuild
index 4ea1f6f54..c752d13ee 100755
--- a/source/l/libiodbc/libiodbc.SlackBuild
+++ b/source/l/libiodbc/libiodbc.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2009, 2010 Eric Hameleers, Eindhoven, NL
-# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -22,14 +22,15 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=3.52.7
+PKGNAM=libiodbc
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:--j6}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -40,8 +41,8 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-libiodbc
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -85,6 +86,9 @@ CFLAGS="$SLKCFLAGS" \
--program-suffix= \
--build=$ARCH-slackware-linux
+# Disable rpath:
+zcat $CWD/libiodbc.disable.rpath.diff.gz | patch -p1 --verbose || exit 1
+
# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/l/libiodbc/libiodbc.disable.rpath.diff b/source/l/libiodbc/libiodbc.disable.rpath.diff
new file mode 100644
index 000000000..a5f9701db
--- /dev/null
+++ b/source/l/libiodbc/libiodbc.disable.rpath.diff
@@ -0,0 +1,11 @@
+--- ./libtool.orig 2013-12-11 17:33:25.828622889 -0600
++++ ./libtool 2013-12-11 17:39:28.910619029 -0600
+@@ -363,7 +363,7 @@
+
+ # Flag to hardcode $libdir into a binary during linking.
+ # This must work even if $libdir does not exist
+-hardcode_libdir_flag_spec="\${wl}-rpath \${wl}\$libdir"
++hardcode_libdir_flag_spec=""
+
+ # If ld is used when linking, flag to hardcode $libdir into a binary
+ # during linking. This must work even if $libdir does not exist.
diff --git a/source/l/libiodbc/slack-desc b/source/l/libiodbc/slack-desc
index 6844c9274..cb23cc923 100644
--- a/source/l/libiodbc/slack-desc
+++ b/source/l/libiodbc/slack-desc
@@ -15,5 +15,5 @@ libiodbc: that are language, platform and database independent.
libiodbc:
libiodbc:
libiodbc:
-libiodbc: Homepage: http://iodbc.org/
+libiodbc: Homepage: http://www.iodbc.org/dataspace/iodbc/wiki/iODBC/
libiodbc: